#include <iostream>
#include <vector>
using namespace std;

int main() {
    int n, l;
    cin >> n;
    cin >> l >> endl;

    vector<int> visina(n);
    
    for (int i = 0; i < n; ++i) {
        cin >> visina[i];
    }

   bool found = false;
    for (int i = 0; i < n; ++i) {
        if (visina[i] >= l) {
            cout << i << endl;
            found = true;
            break;
        }
    }
    
    if (!found) {
    cout << -1 << endl;
    }

    return 0;
}